hdp.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <stdarg.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hdp.h"`
`#include "hddb.h"`
`#include "smbios.h"`

## Macros

#define | dump_line(x0, x1...)
#define | dump_line_str(x0...)
#define | dump_line0(x0...)

## Functions

static void | dump_normal (hd_data_t *, hd_t *, FILE *)
static void | dump_cpu (hd_data_t *, hd_t *, FILE *)
static void | dump_bios (hd_data_t *, hd_t *, FILE *)
static void | dump_prom (hd_data_t *, hd_t *, FILE *)
static void | dump_sys (hd_data_t *, hd_t *, FILE *)
static char * | dump_hid (hd_data_t *hd_data, hd_id_t *hid, int format, char *buf, int buf_size)
static char * | dump_hid2 (hd_data_t *hd_data, hd_id_t *hid1, hd_id_t *hid2, char *buf, int buf_size)
static char * | print_dev_num (hd_dev_num_t *d)
void | hd_dump_entry (hd_data_t *hd_data, hd_t *h, FILE *f)

## Variables

static int | ind = 0